Arduino

Reference Language | Libraries | Comparison | Changes

Ethernet

## Ethernet.maintain()

#### Description

Allows for the renewal of DHCP leases. When assigned an IP address via DHCP, ethernet devices are given a lease on the address for an amount of time. With Ethernet.maintain(), it is possible to request a renewal from the DHCP server. Depending on the server's configuration, you may receive the same address, a new one, or none at all.

Ethernet.maintain() was added to Arduino 1.0.1.

#### Syntax

Ethernet.maintain();

#### Parameters

none

#### Returns

byte:
0: nothing happened
1: renew failed
2: renew success
3: rebind fail
4: rebind success
Reference Home

Corrections, suggestions, and new documentation should be posted to the Forum.

The text of the Arduino reference is licensed under a Creative Commons Attribution-ShareAlike 3.0 License. Code samples in the reference are released into the public domain.

©Arduino | Edit Page | Page History | Printable View | All Recent Site Changes